List table columns
curl --request GET \
--url https://api.getoneprofile.ai/tables/{table_id}/columns/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getoneprofile.ai/tables/{table_id}/columns/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getoneprofile.ai/tables/{table_id}/columns/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"columns": [
{
"column_type": "text",
"created_at": "2023-11-07T05:31:56Z",
"data_type": "string",
"definition": {
"default_value": "<string>",
"kind": "manual"
},
"definition_version": 123,
"depends_on_column_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"description": "<string>",
"display_name": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_group_output": true,
"kind": "manual",
"position": 123,
"supported_filter_operators": [
"eq"
],
"table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type_options": {
"choices": [
{
"value": "<string>",
"color": "<string>"
}
],
"type": "select"
},
"ui_prefs": {
"color": "gray",
"hidden": true,
"pinned": true,
"width": 123
},
"updated_at": "2023-11-07T05:31:56Z",
"auto_run": true,
"pending_recompute": false,
"refresh_interval_hours": 0,
"run_condition": {
"default_value": "<string>",
"kind": "manual"
},
"run_delay_seconds": 0
}
],
"total_count": 123,
"groups": [
{
"collapsed": true,
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"members": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_output": true
}
],
"name": "<string>",
"table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}table-columns
List table columns
List all columns of a table in position order (non-paginated by design).
GET
/
tables
/
{table_id}
/
columns
/
List table columns
Authorizations
HTTPBearerAPIKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Was this page helpful?